bitel.billing.server.ipn.bean

## Class GateManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.GateManager

-     public class GateManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddressJoin(java.lang.StringBuffer query)`
    `void` | `deleteGate(int gateID)` Удаляет шлюз по его коду
    `java.util.List<Gate>` | `getContractGates(int cid)` Получить шлюзы данного договора
    `Gate` | `getGateById(int gateId)` Возвращает шлюз по его коду - TODO : передалать на универсальную функцию - getGateList
    `Gate` | `getGateByID(int gateId)` Deprecated.
    `java.util.List<Gate>` | `getGateByTypeId(int typeId)` Возвращает список гейтов по типу.
    `java.util.List<Gate>` | `getGateByTypeID(int typeId)` Deprecated.
    `java.util.List<Gate>` | `getGatesList()`
    `java.util.List<Gate>` | `getGatesList(GateFilter filter)` Возвращает список всех шлюзов
    `Gate` | `getGateTree(GateFilter filter)` Возвращает дерево шлюзов
    `static void` | `loadFromResultSet(java.sql.ResultSet rs, Gate gate)`
    `static void` | `loadFromResultSet(java.sql.ResultSet rs, Gate gate, boolean loadAddress)`
    `void` | `moveGates(java.lang.String ids, int id)` Переносит шлюзы в папку
    `void` | `updateGate(java.lang.String gateID, Gate gate)` Обновляет шлюз

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### GateManager

          public GateManager(java.sql.Connection con,
                             int mid)

  - ### Method Detail

    - #### deleteGate

          public void deleteGate(int gateID)

      Удаляет шлюз по его коду
      Parameters:
        `gateID` - код шлюза

    - #### getGatesList

          public java.util.List<Gate> getGatesList(GateFilter filter)

      Возвращает список всех шлюзов
      Returns:

    - #### getGatesList

          public java.util.List<Gate> getGatesList()

    - #### addAddressJoin

          public void addAddressJoin(java.lang.StringBuffer query)

    - #### getGateTree

          public Gate getGateTree(GateFilter filter)

      Возвращает дерево шлюзов
      Returns:

    - #### loadFromResultSet

          public static void loadFromResultSet(java.sql.ResultSet rs,
                                               Gate gate)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### loadFromResultSet

          public static void loadFromResultSet(java.sql.ResultSet rs,
                                               Gate gate,
                                               boolean loadAddress)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getGateById

          public Gate getGateById(int gateId)

      Возвращает шлюз по его коду - TODO : передалать на универсальную функцию - getGateList
      Parameters:
        `gateId` - код шлюза
      Returns:

    - #### getGateByID

          @Deprecated
          public Gate getGateByID(int gateId)

      Deprecated.
      Использовать `getGateById(int)`.
      Parameters:
        `gateId` -
      Returns:

    - #### moveGates

          public void moveGates(java.lang.String ids,
                                int id)

      Переносит шлюзы в папку
      Parameters:
        `ids` - коды переносимых шлюзов
        `id` - код шлюза, в папку которого переносятся шлюзы

    - #### updateGate

          public void updateGate(java.lang.String gateID,
                                 Gate gate)

      Обновляет шлюз
      Parameters:
        `gateID` - код шлюза, если "new" - то создать новый
        `gate` - шлюз

    - #### getContractGates

          public java.util.List<Gate> getContractGates(int cid)

      Получить шлюзы данного договора
      Parameters:
        `cid` - код договора
      Returns:

    - #### getGateByTypeId

          public java.util.List<Gate> getGateByTypeId(int typeId)

      Возвращает список гейтов по типу. Может и пригодится ещё когда-нибудь, но пока используется только для определения используется ли данный тип где-нибудь у гейта, при удалении типа.
      Parameters:
        `typeId` - ид_типа
      Returns:
        список гейтов заявленного типа

    - #### getGateByTypeID

          @Deprecated
          public java.util.List<Gate> getGateByTypeID(int typeId)

      Deprecated.
      Использовать `getGateByTypeId(int)`.
      Parameters:
        `typeId` -
      Returns: